Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface LifeCycleManager

All Known Subinterfaces:
  BusinessLifeCycleManager

public interface LifeCycleManager

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Field Summary
`static String` | `ASSOCIATION`
`static String` | `AUDITABLE_EVENT`
`static String` | `CLASSIFICATION`
`static String` | `CLASSIFICATION_SCHEME`
`static String` | `CONCEPT`
`static String` | `EMAIL_ADDRESS`
`static String` | `EXTERNAL_IDENTIFIER`
`static String` | `EXTERNAL_LINK`
`static String` | `EXTRINSIC_OBJECT`
`static String` | `INTERNATIONAL_STRING`
`static String` | `KEY`
`static String` | `LOCALIZED_STRING`
`static String` | `ORGANIZATION`
`static String` | `PERSON_NAME`
`static String` | `POSTAL_ADDRESS`
`static String` | `REGISTRY_ENTRY`
`static String` | `REGISTRY_PACKAGE`
`static String` | `SERVICE`
`static String` | `SERVICE_BINDING`
`static String` | `SLOT`
`static String` | `SPECIFICATION_LINK`
`static String` | `TELEPHONE_NUMBER`
`static String` | `USER`
`static String` | `VERSIONABLE`

Method Summary
`Association` | `createAssociation(RegistryObject targetObject, Concept associationType)`
`Classification` | `createClassification(ClassificationScheme scheme, InternationalString name, String value)`
`Classification` | `createClassification(ClassificationScheme scheme, String name, String value)`
`Classification` | `createClassification(Concept concept)`
`ClassificationScheme` | `createClassificationScheme(Concept concept)`
`ClassificationScheme` | `createClassificationScheme(InternationalString name, InternationalString description)`
`ClassificationScheme` | `createClassificationScheme(String name, String description)`
`Concept` | `createConcept(RegistryObject parent, InternationalString name, String value)`
`Concept` | `createConcept(RegistryObject parent, String name, String value)`
`EmailAddress` | `createEmailAddress(String address)`
`EmailAddress` | `createEmailAddress(String address, String type)`
`ExternalIdentifier` | `createExternalIdentifier(ClassificationScheme identificationScheme, InternationalString name, String value)`
`ExternalIdentifier` | `createExternalIdentifier(ClassificationScheme identificationScheme, String name, String value)`
`ExternalLink` | `createExternalLink(String externalURI, InternationalString description)`
`ExternalLink` | `createExternalLink(String externalURI, String description)`
`ExtrinsicObject` | `createExtrinsicObject(javax.activation.DataHandler repositoryItem)`
`InternationalString` | `createInternationalString()`
`InternationalString` | `createInternationalString(Locale locale, String s)`
`InternationalString` | `createInternationalString(String s)`
`Key` | `createKey(String id)`
`LocalizedString` | `createLocalizedString(Locale locale, String s)`
`LocalizedString` | `createLocalizedString(Locale locale, String s, String cs)`
`Object` | `createObject(String interfaceName)`
`Organization` | `createOrganization(InternationalString name)`
`Organization` | `createOrganization(String name)`
`PersonName` | `createPersonName(String fullName)`
`PersonName` | `createPersonName(String firstName, String middleName, String lastName)`
`PostalAddress` | `createPostalAddress(String streetNumber, String street, String city, String stateOrProvince, String country, String postalCode, String type)`
`RegistryPackage` | `createRegistryPackage(InternationalString name)`
`RegistryPackage` | `createRegistryPackage(String name)`
`Service` | `createService(InternationalString name)`
`Service` | `createService(String name)`
`ServiceBinding` | `createServiceBinding()`
`Slot` | `createSlot(String name, Collection values, String slotType)`
`Slot` | `createSlot(String name, String value, String slotType)`
`SpecificationLink` | `createSpecificationLink()`
`TelephoneNumber` | `createTelephoneNumber()`
`User` | `createUser()`
`BulkResponse` | `deleteObjects(Collection keys)`
`BulkResponse` | `deleteObjects(Collection keys, String objectType)`
`BulkResponse` | `deprecateObjects(Collection keys)`
`RegistryService` | `getRegistryService()`
`BulkResponse` | `saveObjects(Collection objects)`
`BulkResponse` | `unDeprecateObjects(Collection keys)`

Field Detail

### ASSOCIATION

    public static final String ASSOCIATION

See Also:
  Constant Field Values

### AUDITABLE_EVENT

    public static final String AUDITABLE_EVENT

See Also:
  Constant Field Values

### CLASSIFICATION

    public static final String CLASSIFICATION

See Also:
  Constant Field Values

### CLASSIFICATION_SCHEME

    public static final String CLASSIFICATION_SCHEME

See Also:
  Constant Field Values

### CONCEPT

    public static final String CONCEPT

See Also:
  Constant Field Values

### EMAIL_ADDRESS

    public static final String EMAIL_ADDRESS

See Also:
  Constant Field Values

### EXTERNAL_IDENTIFIER

    public static final String EXTERNAL_IDENTIFIER

See Also:
  Constant Field Values

### EXTERNAL_LINK

    public static final String EXTERNAL_LINK

See Also:
  Constant Field Values

### EXTRINSIC_OBJECT

    public static final String EXTRINSIC_OBJECT

See Also:
  Constant Field Values

### INTERNATIONAL_STRING

    public static final String INTERNATIONAL_STRING

See Also:
  Constant Field Values

### KEY

    public static final String KEY

See Also:
  Constant Field Values

### LOCALIZED_STRING

    public static final String LOCALIZED_STRING

See Also:
  Constant Field Values

### ORGANIZATION

    public static final String ORGANIZATION

See Also:
  Constant Field Values

### PERSON_NAME

    public static final String PERSON_NAME

See Also:
  Constant Field Values

### POSTAL_ADDRESS

    public static final String POSTAL_ADDRESS

See Also:
  Constant Field Values

### REGISTRY_ENTRY

    public static final String REGISTRY_ENTRY

See Also:
  Constant Field Values

### REGISTRY_PACKAGE

    public static final String REGISTRY_PACKAGE

See Also:
  Constant Field Values

### SERVICE

    public static final String SERVICE

See Also:
  Constant Field Values

### SERVICE_BINDING

    public static final String SERVICE_BINDING

See Also:
  Constant Field Values

### SLOT

    public static final String SLOT

See Also:
  Constant Field Values

### SPECIFICATION_LINK

    public static final String SPECIFICATION_LINK

See Also:
  Constant Field Values

### TELEPHONE_NUMBER

    public static final String TELEPHONE_NUMBER

See Also:
  Constant Field Values

### USER

    public static final String USER

See Also:
  Constant Field Values

### VERSIONABLE

    public static final String VERSIONABLE

See Also:
  Constant Field Values

Method Detail

### createAssociation

    public Association createAssociation(RegistryObject targetObject,
                                         Concept associationType)
                                  throws JAXRException

  Throws:
    `JAXRException`

### createClassification

    public Classification createClassification(ClassificationScheme scheme,
                                               InternationalString name,
                                               String value)
                                        throws JAXRException

  Throws:
    `JAXRException`

### createClassification

    public Classification createClassification(ClassificationScheme scheme,
                                               String name,
                                               String value)
                                        throws JAXRException

  Throws:
    `JAXRException`

### createClassification

    public Classification createClassification(Concept concept)
                                        throws JAXRException,
                                               InvalidRequestException

  Throws:
    `JAXRException`
    `InvalidRequestException`

### createClassificationScheme

    public ClassificationScheme createClassificationScheme(InternationalString name,
                                                           InternationalString description)
                                                    throws JAXRException,
                                                           InvalidRequestException

  Throws:
    `JAXRException`
    `InvalidRequestException`

### createClassificationScheme

    public ClassificationScheme createClassificationScheme(Concept concept)
                                                    throws JAXRException,
                                                           InvalidRequestException

  Throws:
    `JAXRException`
    `InvalidRequestException`

### createClassificationScheme

    public ClassificationScheme createClassificationScheme(String name,
                                                           String description)
                                                    throws JAXRException,
                                                           InvalidRequestException

  Throws:
    `JAXRException`
    `InvalidRequestException`

### createConcept

    public Concept createConcept(RegistryObject parent,
                                 String name,
                                 String value)
                          throws JAXRException

  Throws:
    `JAXRException`

### createConcept

    public Concept createConcept(RegistryObject parent,
                                 InternationalString name,
                                 String value)
                          throws JAXRException

  Throws:
    `JAXRException`

### createEmailAddress

    public EmailAddress createEmailAddress(String address)
                                    throws JAXRException

  Throws:
    `JAXRException`

### createEmailAddress

    public EmailAddress createEmailAddress(String address,
                                           String type)
                                    throws JAXRException

  Throws:
    `JAXRException`

### createExternalIdentifier

    public ExternalIdentifier createExternalIdentifier(ClassificationScheme identificationScheme,
                                                       String name,
                                                       String value)
                                                throws JAXRException

  Throws:
    `JAXRException`

### createExternalIdentifier

    public ExternalIdentifier createExternalIdentifier(ClassificationScheme identificationScheme,
                                                       InternationalString name,
                                                       String value)
                                                throws JAXRException

  Throws:
    `JAXRException`

### createExternalLink

    public ExternalLink createExternalLink(String externalURI,
                                           String description)
                                    throws JAXRException

  Throws:
    `JAXRException`

### createExternalLink

    public ExternalLink createExternalLink(String externalURI,
                                           InternationalString description)
                                    throws JAXRException

  Throws:
    `JAXRException`

### createExtrinsicObject

    public ExtrinsicObject createExtrinsicObject(javax.activation.DataHandler repositoryItem)
                                          throws JAXRException

  Throws:
    `JAXRException`

### createInternationalString

    public InternationalString createInternationalString()
                                                  throws JAXRException

  Throws:
    `JAXRException`

### createInternationalString

    public InternationalString createInternationalString(String s)
                                                  throws JAXRException

  Throws:
    `JAXRException`

### createInternationalString

    public InternationalString createInternationalString(Locale locale,
                                                         String s)
                                                  throws JAXRException

  Throws:
    `JAXRException`

### createKey

    public Key createKey(String id)
                  throws JAXRException

  Throws:
    `JAXRException`

### createLocalizedString

    public LocalizedString createLocalizedString(Locale locale,
                                                 String s)
                                          throws JAXRException

  Throws:
    `JAXRException`

### createLocalizedString

    public LocalizedString createLocalizedString(Locale locale,
                                                 String s,
                                                 String cs)
                                          throws JAXRException

  Throws:
    `JAXRException`

### createObject

    public Object createObject(String interfaceName)
                        throws JAXRException,
                               InvalidRequestException,
                               UnsupportedCapabilityException

  Throws:
    `JAXRException`
    `InvalidRequestException`
    `UnsupportedCapabilityException`

### createOrganization

    public Organization createOrganization(String name)
                                    throws JAXRException

  Throws:
    `JAXRException`

### createOrganization

    public Organization createOrganization(InternationalString name)
                                    throws JAXRException

  Throws:
    `JAXRException`

### createPersonName

    public PersonName createPersonName(String fullName)
                                throws JAXRException

  Throws:
    `JAXRException`

### createPersonName

    public PersonName createPersonName(String firstName,
                                       String middleName,
                                       String lastName)
                                throws JAXRException

  Throws:
    `JAXRException`

### createPostalAddress

    public PostalAddress createPostalAddress(String streetNumber,
                                             String street,
                                             String city,
                                             String stateOrProvince,
                                             String country,
                                             String postalCode,
                                             String type)
                                      throws JAXRException

  Throws:
    `JAXRException`

### createRegistryPackage

    public RegistryPackage createRegistryPackage(String name)
                                          throws JAXRException

  Throws:
    `JAXRException`

### createRegistryPackage

    public RegistryPackage createRegistryPackage(InternationalString name)
                                          throws JAXRException

  Throws:
    `JAXRException`

### createService

    public Service createService(String name)
                          throws JAXRException

  Throws:
    `JAXRException`

### createService

    public Service createService(InternationalString name)
                          throws JAXRException

  Throws:
    `JAXRException`

### createServiceBinding

    public ServiceBinding createServiceBinding()
                                        throws JAXRException

  Throws:
    `JAXRException`

### createSlot

    public Slot createSlot(String name,
                           String value,
                           String slotType)
                    throws JAXRException

  Throws:
    `JAXRException`

### createSlot

    public Slot createSlot(String name,
                           Collection values,
                           String slotType)
                    throws JAXRException

  Throws:
    `JAXRException`

### createSpecificationLink

    public SpecificationLink createSpecificationLink()
                                              throws JAXRException

  Throws:
    `JAXRException`

### createTelephoneNumber

    public TelephoneNumber createTelephoneNumber()
                                          throws JAXRException

  Throws:
    `JAXRException`

### createUser

    public User createUser()
                    throws JAXRException

  Throws:
    `JAXRException`

### deleteObjects

    public BulkResponse deleteObjects(Collection keys)
                               throws JAXRException

  Throws:
    `JAXRException`

### deleteObjects

    public BulkResponse deleteObjects(Collection keys,
                                      String objectType)
                               throws JAXRException

  Throws:
    `JAXRException`

### deprecateObjects

    public BulkResponse deprecateObjects(Collection keys)
                                  throws JAXRException

  Throws:
    `JAXRException`

### getRegistryService

    public RegistryService getRegistryService()
                                       throws JAXRException

  Throws:
    `JAXRException`

### saveObjects

    public BulkResponse saveObjects(Collection objects)
                             throws JAXRException

  Throws:
    `JAXRException`

### unDeprecateObjects

    public BulkResponse unDeprecateObjects(Collection keys)
                                    throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.